{-# LANGUAGE OverloadedStrings #-}

module Network.HTTP.Pony.Transformer.StartLine.Builder where

import qualified Network.HTTP.Types as HTTP
import qualified Data.ByteString.Char8 as B
import Data.ByteString (ByteString)
import Data.Semigroup ((<>))

import Network.HTTP.Pony.Transformer.StartLine.Type (ResponseLine)

response :: ResponseLine -> ByteString
response (version, (HTTP.Status code message)) =
                                              B.pack (show version)
                                                <> " "
                                                <> B.pack (show code)
                                                <> " "
                                                <> message
